<?php
	
	session_start();
	require_once "generator.php";
	require_once "music_db.php";

	//handles logging out
	if(isset($_GET['logout'])){
		unset($_SESSION['username']);
		session_destroy();
	}

	//attempt to login
	if(isset($_POST['username']) && isset($_POST['password'])){
		//read config file to get database connection paramaters
		$config = "CONFIG";
		$cf = fopen($config,'r');
		$ar = fgetcsv($cf);
		$_SESSION['host'] = $ar[0];
		$_SESSION['user'] = $ar[1];
		$_SESSION['password'] = $ar[2];
		$_SESSION['database'] = $ar[3];

		$db = new Music_DB();
		if($db->validateUser($_POST['username'],$_POST['password'])){
			$_SESSION['username'] = $_POST['username'];
			$user = $db->getUser($_POST['username']);
			$_SESSION['role'] = $user->getRoleID();
			genSelect($_SESSION['role']);
			die();
		}
		//if user validation failed display user screen
		//error message that gets displayed is in validateUser()
		else{
			genLogin();
			die();
		}
			
	}
	//if someone is logged in, go to the selection screen
	if(isset($_SESSION['username'])){
		genSelect($_SESSION['role']);
		die();
	}
	//if no one is logged in, and no one wants to log in yet, show login screen
	else{
		genLogin();
		die();
	}
		
		
	
?>
