<?php
session_start();

class musicException extends Exception { }	

class Instrument{
	
	private $serial, $manf, $model, $itype, $family, $comments, $material;

	public function __construct( $serial, $manf="Unknown", $model="Unknown", $itype="Unknown", $family="Unknown", $comments="", $material=""){
		$this->serial=$serial;
		$this->manf=$manf;
		$this->model=$model;
		$this->itype=$itype;
		$this->family=$family;
		$this->comments=$comments;
		$this->material=$material;
	}
	////////////////////////////////
	public function getSerial(){
		return $this->serial;
	}
	////////////////////////////////
	public function getManufacturer(){
		return $this->manf;
	}
	///////////////////////////////
	public function getModel(){
		return $this->model;
	}
	//////////////////////////////
	public function getInstType(){
		return $this->itype;
	}
	//////////////////////////////
	public function getFamily(){
		return $this->family;
	}
	//////////////////////////////
	public function getComments(){
		return $this->comments;
	}
	//////////////////////////////
	public function getMaterial(){
		return $this->material;
	}
	/////////////////////////////
	/*
	 * This function attempts to change the comment on the current instrument to what is passed in, if it fails to change
	 * the comment in the database, the object is not changed either.
	 */
	public function recomment($comment=""){
		if(!($conn = mysql_connect($_SESSION["host"],$_SESSION["user"],$_SESSION["password"],true)) || !mysql_select_db($_SESSION["database"]))
			throw new musicException("Cannot connect to database to change comment.");
		$query = sprintf("update instruments set comments='%s' where serial_number='%s'",mysql_real_escape_string($comment),$this->serial);
		if(!mysql_query($query))
			throw new musicException("That comment could not be changed.  ".mysql_error());
		mysql_close($conn);
		$this->comments = $comment;
		return $this;
	}
}

class User{
	private $Username, $Role, $RoleID;

	public function __construct($Username, $Role, $RoleID){
		$this->Username = $Username;
		$this->Role = $Role;
		$this->RoleID = $RoleID;
	}
	/////////////////////////////
	public function getUsername(){
		return $this->Username;
	}
	////////////////////////////
	public function getRole(){
		return $this->Role;
	}
	////////////////////////////
	public function getRoleID(){
		return $this->RoleID;
	}
	/////////////////////////////
	/*
	 * This fucntion attempt to change the current User to the username, password, and role passed in, if they are
	 * passed in. If the changes cannot be saved in the database, the object is not changed.
	 */
	public function modify($Username = null, $Password = null, $RoleID = null){
		if(!($conn =  mysql_connect($_SESSION["host"],$_SESSION["user"],$_SESSION["password"],true)) || !mysql_select_db($_SESSION["database"]))
			throw new musicException("Cannot connect to the database to modify this user.");

		$query = "update users set";
		$ct = 0;

		if($Username != null){
			$ct++;
			$query .= " Username = '".mysql_real_escape_string($Username)."'";
		}
		if($Password != null){
			if($ct++ != 0) $query .= ",";
			$salt = rand(-9999,99999);
			$Password = $this->Username.$Password.$salt;
			$Password = hash("sha512",hash("md5",$Password));
			$query .= " Password = '".mysql_real_escape_string($Password)."', salt = '".mysql_real_escape_string($salt)."'";
		}
		if($RoleID != null){
			if($ct++ != 0) $query .= ",";
			$query .= " Role_ID = ".$RoleID;
		}
		$query .= " where username = '".$this->Username."'";
		if($ct == 0)
			return;
		if(!mysql_query($query,$conn)){
			echo mysql_error();
			throw new musicException("This user cannot be changed to those values.");
		}
		mysql_close($conn);

		if($Username != null)
			$this->Username = $Username;
		if($RoleID != null)
			$this->RoleID = $RoleID;
	}
}

class Borrower{
	private $studentID, $lname, $fname, $email;
	private $Role, $RoleID;

	public function __construct($studentID, $lname, $fname, $email){
		$this->studentID = $studentID;
		$this->lname = $lname;
		$this->fname = $fname;
		$this->email = $email;
		$this->Role = "Borrower";
		$this->RoleID = 4;
	}
	/////////////////////////////
	public function getUsername(){
		return $this->studentID;
	}
	////////////////////////////
	public function getRole(){
		return $this->Role;
	}
	////////////////////////////
	public function getRoleID(){
		return $this->RoleID;
	}
	//////////////////////////////////
	public function getStudentID(){
		return $this->studentID;
	}
	/////////////////////////////////
	public function getLastName(){
		return $this->lname;
	}
	////////////////////////////////
	public function getFirstName(){
		return $this->fname;
	}
	////////////////////////////////
	public function getEmail(){
		return $this->email;
	}
}		

class Transaction{
	private $studentID, $serial, $outDate, $inDate;

	public function __construct($studentID, $serial, $outDate, $inDate = "never"){
		$this->studentID = $studentID;
		$this->serial = $serial;
		$this->outDate = $outDate;
		$this->inDate = $inDate;
	}
	///////////////////////////////////////
	public function getStudentID(){
		return $this->studentID;
	}
	//////////////////////////////////////
	public function getSerialNumber(){
		return $this->serial;
	}
	//////////////////////////////////////
	public function getCheckoutDate(){
		return $this->outDate;
	}
	//////////////////////////////////////
	public function getReturnDate(){
		return $this->inDate;
	}
}

class Picture{
	private $mime, $size, $pic;

	public function __construct($pic, $size, $mime){
		$this->mime = $mime;
		$this->size = $size;
		$this->pic = $pic;
	}
	////////////////////////////////////
	public function getPicture(){
		return $this->pic;
	}
	///////////////////////////////////
	public function getSize(){
		return $this->size;
	}
	///////////////////////////////////
	public function getMimeType(){
		return $this->mime;
	}
}
