<?php session_start();?>
<HTML>
<HEAD>
<TITLE>View and Manage an Instrument in the Inventory</TITLE>
</HEAD>

<BODY>
<!-- This page does a lot so this code is a bit crowded.
		You can view an instrument here, upload a picture, delete the instrument,
		start the checkout procedure if it is not checked out, and return it to the inventory
		if it has been checked out.
		I will try to walk you through what blocks do what.-->
<!-- Also I am sorry for the format of this code. I did the big part of this early on while I was still learning what php 
		would and would not do, so the majority of the HTML is echoed in php. I would like to fix it, but I don't have time now.
		Sorry.-->
<H1>Instrument Information</H1>
<br />

<?php
	require_once "music_db.php";
	$db = new Music_DB();
	if(!isset($_REQUEST[serial])){
		echo "No instrument to display please try again.<br />";
		echo '<a href="instLookup.php">Search Again?</a>';
		die();
	}
	else{
		//This block is used to validate and upload a picture into the database, no check is made to make sure
		//that the serial is valid because this is sent from this page, so the instrument had to be there before
		if(isset($_REQUEST['upload'])){
			try{
				if(!isset($_FILES['image']))
					throw new musicException('There was no image in what was uploaded.');
				$image = $_FILES['image'];
				if($image['error'] != UPLOAD_ERR_OK)
					throw new musicExcepion('There was an error uploading the image');
				if(!is_uploaded_file($image['tmp_name']))
					throw new musicException('This file was not uploaded.');
				if(!($info = getImageSize($image['tmp_name'])))
					throw new musicException('That file is not an image');
				
				$pic = new Picture(file_get_contents($image['tmp_name']), $image['size'], $info['mime']);
				$db->addPictureToInstrument($_REQUEST['serial'], $pic);
				echo "That picture was successfully saved.<br />";
			}
			catch (musicException $e){
				echo $e->getMessage()."<br \>";
			}
		}
		//This attempts to delete a picture
		if(isset($_REQUEST['delPic'])){
			try{
				$db->removePicture($_REQUEST['serial']);
			}catch (musicException $e){
				echo $e->getMessage()."<br />";
			}
		}
		//Try to pull out an instrument
		try{
			$inst = $db->getInstrument($_REQUEST['serial']);
		}
		catch (MusicException $mx){
			echo $mx->getMessage()."<br />";
			echo '<a href="instLookup.php">Search Again?</a>';
			die();
		}
		//If the instrument has a picture, display the link to display it
		$hasPicture;
		if($hasPicture = $db->hasPicture($_REQUEST['serial'])){
			echo '<a href="instPic.php?serial='.$_REQUEST['serial'].'">See this instruments picture</a>';
		}
		else{
			echo 'This instument has no picture.';
		}
		
		//This table displays the attributes of the instruments
		echo "<br />";
		echo "<table border=\"1\">\r\n\t<tr>\r\n\t\t";
		echo "<td>Serial Number:</td>\r\n\t\t<td>".$inst->getSerial()."</td>\r\n\t";
		echo "</tr>\r\n\t<tr>\r\n\t\t";
		echo "<td>Manufacturer:</td>\r\n\t\t<td>".$inst->getManufacturer()."</td>\r\n\t";
		echo "</tr>\r\n\t<tr>\r\n\t\t";
		echo "<td>Model:</td>\r\n\t\t<td>".$inst->getModel()."</td>\r\n\t";
		echo "</tr>\r\n\t<tr>\r\n\t\t";
		echo "<td>Instrument Type:</td>\r\n\t\t<td>".$inst->getInstType()."</td>\r\n\t";
		echo "</tr>\r\n\t<tr>\r\n\t\t";
		echo "<td>Family:</td>\r\n\t\t<td>".$inst->getFamily()."</td>\r\n\t";
		echo "</tr>\r\n\t<tr>\r\n\t\t";
		echo "<td>Material:</td>\r\n\t\t<td>".$inst->getMaterial()."</td>\r\n\t";
		echo "</tr>\r\n\t<tr>\r\n\t\t";
		//This block handles requests to change the comment on the instruments
		echo '<form action="displayInst.php" method="get">'."\r\n";
		if($_REQUEST['comm'] == true){
			try{
				$inst->recomment($_REQUEST['comment']);
				echo "The comment was successfully changed.<br />";
			}
			catch (MusicException $e){
				echo $e->getMessage()."<br />";
			}
		}
		$ds = "";
		if($_SESSION['role'] != 4){
			echo "<td>Comments:</td>\r\n\t\t<td>".'<textarea name="comment" rows = "4" cols = "20">'.$inst->getComments()."</textarea></td>\r\n\t";
			echo "</tr>\r\n";
			echo "<tr>\r\n\t".'<td><input type="submit" value="Change the Comment" ></td>'."\r\n\t\t";
			echo "<td>".'<input type="hidden" name="comm" value="true" /></td>'."\r\n\t\t";
			echo '<td><input type="hidden" name="serial" value="'.$inst->getSerial().'" /></td>'."\r\n\t</tr>\r\n";
			echo "</form>\r\n";
		}
		else{// role 4 is a borrower, they don't need to be able to comment
			$ds = 'readonly="readonly"';
			echo "<td>Comments:</td>\r\n\t\t<td>".'<textarea name="comment" '.$ds.' rows = "4" cols = "20">'.$inst->getComments()."</textarea></td>\r\n\t";
			echo "</form>";
		}

		
		if($_SESSION['role'] != 4){//another check to make sure the user is not a borrower, they only need read access
			//handles instrument returns
			if($_REQUEST['ret'] == true){
				try{
					$db->checkin($inst->getSerial());
					echo "That instrument was successfully returned.";
				}
				catch (musicException $e){
					echo "There was an error while trying to return the instrument.";
				}
			}
			//if the instrument is in the inventory, allow it to be checked out
			if(!$db->isCheckedout($inst->getSerial())){
			echo '<form action="checkout.php" method="post">'."\r\n";
			echo "<tr>\r\n\t".'<td><input type="submit" value="Checkout"></td>'."\r\n\t\t";
			echo '<td><input type="hidden" name="serial" value="'.$inst->getSerial().'" /></td>'."\r\n\t</tr>\r\n";
			echo "</form>\r\n";
			}
			else{//else allow it to be returned
			echo '<form action="displayInst.php" method="get">'."\r\n";
			echo "<tr>\r\n\t".'<td><input type="submit" value="Return"></td>'."\r\n\t\t";
			echo '<td><input type="hidden" name="serial" value="'.$inst->getSerial().'" /></td>'."\r\n\t</tr>\r\n";
			echo '<input type="hidden" name="ret" value="true" />';
			echo "</form>\r\n";
			}

			//allow for the picture to be deleted
			if($hasPicture){
				echo '<form action="displayInst.php" method="get">'."\r\n";
				echo "<tr>\r\n\t".'<td><input type="submit" value="Delete Picture" ></td>'."\r\n\t\t";
				echo "<td>".'<input type="hidden" name="delPic" value="true" /></td>'."\r\n\t\t";
				echo '<td><input type="hidden"  name="serial" value="'.$inst->getSerial().'" /></td>'."\r\n\t</tr>\r\n";
				echo "</form>\r\n";
			}
		
		
		}
 		//only sys admins (1) and managers (2) should be allowed to delete instruments
		if($_SESSION['role'] == 1 || $_SESSION['role'] == 2){
			echo '<form action="displayInst.php" method="get">'."\r\n";
			if($_REQUEST['del'] == true){
				try{
					$db->removeInstrument($inst);
					echo "This instrument has been removed from the inventory.<br />";
					$st = 'disabled = "disabled"';
				}
				catch (MusicException $e){
					echo $e->getMessage()."<br />";
					$st = "";
				}
			}
			else
				$st = "";

			echo "<tr>\r\n\t".'<td><input type="submit" value="Delete" '.$st.' ></td>'."\r\n\t\t";
			echo "<td>".'<input type="hidden" name="del" value="true" /></td>'."\r\n\t\t";
			echo '<td><input type="hidden" name="serial" value="'.$inst->getSerial().'" /></td>'."\r\n\t</tr>\r\n";
			echo "</form>\r\n";
		}
		
		echo "</table>\r\n";
	}
		
?>
<!-- This is much newer code than the rest, it allows for the uploading of pictures of 
		the instrument, again only non-borrowers can do this-->
<?if($_SESSION['role'] != 4):?>
<form method="post" action="displayInst.php" enctype="multipart/form-data">
<br />
Upload an image of the instrument here.
<br />
<b>Note: if this instrument already has a picture, uploading a new picture will overwrite the old picture.</b>
<br />
<input type="file" name="image" />
<input type="hidden" name="serial" value="<? echo $_REQUEST['serial'];?>" />
<input type="hidden" name="upload" value="yes" />
<br />
<input type="submit" value="Upload Image" />
</form>
<a href="instLookup.php">Search Again?</a>
<?php else: ?>
<a href="listInsts.php?user=<? echo $_SESSION['username'];?>" />View more of your instruments</a>
<?php endif; ?>

</BODY>
</HTML>
