<?php
require_once 'data_classes.php';

class Music_DB {

	private $dbcon;

	public function __construct(){
		if(!($this->dbcon = mysql_connect($_SESSION['host'],$_SESSION['user'],$_SESSION['password'],true)) || !mysql_select_db($_SESSION['database']))
			throw new musicException("Error connecting to databse");
	}

	public function __destruct(){
		if(!mysql_close($this->dbcon)){
			throw new musicException("Could not close the connection.");
		}
	}
///INSTRUMENTS////////#/////////////////////////////////////////////////
	/*
	 * This function adds an instrument to the database,
	 * if a picture is given it will attempt to add the picture, but right now it
	 * is never called with the optional $picture paramater given
	 */
	public function addInstrument($serial, $manf, $model, $id, $comments="", $material, $picture=null){

		mysql_query("BEGIN");
		$query = sprintf("insert into instruments values('%s','%s','%s',%s,'%s','%s')",
				mysql_real_escape_string($serial),
				mysql_real_escape_string($manf),
				mysql_real_escape_string($model),
				$id,
				mysql_real_escape_string($comments),
				mysql_real_escape_string($material)
				);
		if(!mysql_query($query)){
			mysql_query("ROLLBACK");
			Throw new musicException("That instrument is already in the shop\r\n");
		}
		if($picture){
			$query = sprintf("insert into insrumentPicture values('%s', '%s', '%s', '%s')",
				mysql_real_escape_string($serial),
				mysql_real_escape_string($picture->getMimeType()),
				mysql_real_escape_string($picture->getSize()),
				mysql_real_escape_string($picture->getPicture())
				);
			if(!mysql_query($query)){
				mysql_query("ROLLBACK");
				throw new musicException("That picture could not be saved.");
			}
		}
		mysql_query("COMMIT");
	}

	/*
	 * If the instrument already has a picture, this function replaces it with the new picture,
	 * if it does not have a picture, it added one to the database
	 */
	public function addPictureToInstrument($serial, $picture){
		$query = sprintf("select serial_number from instrumentpicture where serial_number = '%s'", mysql_real_escape_string($serial));
		$result = mysql_query($query, $this->dbcon);
		if(!($num = mysql_fetch_array($result))){
			$query = sprintf("insert into instrumentPicture values ('%s', '%s', '%s', '%s')", 
				mysql_real_escape_string($serial),
				mysql_real_escape_string($picture->getMimeType()),
				mysql_real_escape_string($picture->getSize()),
				mysql_real_escape_string($picture->getPicture())
				);
			if(!mysql_query($query)){
				throw new musicException("That picture could not be added.");
			}
		}
		else{
			$query = sprintf("update instrumentPicture set mime_type = '%s', file_size = '%s', file_data = '%s' where serial_number = '%s'",
				mysql_real_escape_string($picture->getMimeType()),
				mysql_real_escape_string($picture->getSize()),
				mysql_real_escape_string($picture->getPicture()),
				mysql_real_escape_string($serial)
				);
			if(!mysql_query($query)){
				throw new musicException("That picture could not be added.");
			}
		}			
	}

	/*
	 * This function returns a picture object representing the instrument's picture,
	 * if it has a picture.
	 */
	public function getInstrumentPicture($serial){
		$query = "select * from instrumentPicture where serial_number = '$serial'";
		$result = mysql_query($query, $this->dbcon);
		if($pic = mysql_fetch_array($result)){
			$pic = new Picture($pic['file_data'], $pic['file_size'], $pic['mime_type']);
			return $pic;
		}
		else{
			throw new musicException("That instument does not have a picture.");
		}
	}

	/*
	 * This function returns either a true or false, depending on whether or not the instument
	 * given has a picture stored in the database.
	 */
	public function hasPicture($serial){
		$query = "select serial_number from instrumentPicture where serial_number = '$serial'";
		$result = mysql_query($query, $this->dbcon);
		if(mysql_num_rows($result))
			return true;
		else
			return false;
	}

	/*
	 * This function deletes an instrument's picture from the database, if it had a picture
	 */
	public function removePicture($serial){
		$query = "delete from instrumentPicture where serial_number = '$serial'";
		if(!mysql_query($query, $this->dbcon)){
			throw new musicException("That instrument had no picture to delete");
		}
	}

	/*
	 * This function returns the instrument with the passed in serial, if that instrument
	 * exists in the system.
	 */
	public function getInstrument( $serial){

		$query = sprintf("select * from instruments natural join types natural join family where serial_number = '%s'",mysql_real_escape_string($serial));
		$result = mysql_query($query,$this->dbcon);
		if($row = mysql_fetch_array($result)){
			$inst = new Instrument($row['serial_number'],$row['manufacturer'],$row['model'],$row['inst_name'],$row['family_name'],$row['comments'],$row['material']);
			return $inst;
		}
		else
			throw new musicException("That instrument could not be found");
	}

	/*
	 * This function returns the instruments that are checked out by the passed in student if, 
	 * if that student has any instruments checked out.
	 */
	public function getCheckedoutInstruments($studentID){
		$query = sprintf("select serial_number from checkedout where student_id = '$studentID'");
		$result = mysql_query($query, $this->dbcon);
		$ct = 0;
		$insts = array();
		while($row = mysql_fetch_array($result)){
			$ct++;
			$query = sprintf("select * from instruments where serial_number = '%s'", $row['serial_number']);
			$r2 = mysql_query($query, $this->dbcon);
			$row2 = mysql_fetch_array($r2);
			$inst = new Instrument($row2['serial_number'],$row2['manufacturer'],$row2['model'],$row2['inst_name'],$row2['family_name'],$row2['comments'],$row2['material']);
			array_push($insts, $inst);
		}
		if($ct == 0)
			throw new musicException("You do not have any instruments checked out.");
		return $insts;
	}

	/*
	 * This function returns an array containing all of the instruments in the system
	 * that match the non-null paramaters given.
	 * Ex. calling this function with only a $manf of "Yamaha" will get only instruments whose
	 *	manufacturer is Yamaha.
	 * Caveat: making all paramaters null will get all instruments in the system
	 */
	public function getInstruments($manf = null, $model = null, $id = null, $familyid = null, $material = null){
		
		$query = "select * from instruments natural join types natural join family where";
		$ct = 0;
		if($manf != null){
			$ct++;
			$query .= " manufacturer = '".$manf."'";
		}
		if($model != null){
			if($ct)
				$query .= " and";
			$ct++;
			$query .= " model = '".$model."'";
		}
		if($id != null){
			if($ct)
				$query .= " and";
			$ct++;
			$query .= " inst_id = ".$id;
		}
		if($familyid != null){
			if($ct)
				$query .= " and";
			$ct++;
			$query .= " family_id = ".$familyid;
		}
		if($material != null){
			if($ct)
				$query .= " and";
			$ct++;
			$query .= " material = '".$material."'";
		}
		if(!$ct)
			$query = "select * from instruments natural join types natural join family";

		$ct = 0;
		$insts = array();
		if(!$result = mysql_query($query, $this->dbcon))
			throw new MusicException("An error occured while searching, please re-enter the search paramaters.");
		while($row = mysql_fetch_array($result)){
			$inst = new Instrument($row['serial_number'],$row['manufacturer'],$row['model'],$row['inst_name'],$row['family_name'],$row['comments'],$row['material']);
			$ct++;
			array_push($insts, $inst);
		}
		if(!$ct)
			throw new MusicException("No records were found, please change your search paramaters and try again.");
		return $insts;

	}

	/*
	 * This function deletes the instrument passed in, if it existed in the system to begin with
	 */
	public function removeInstrument(Instrument $inst){

		$query = sprintf("delete from instruments where serial_number = '%s'", $inst->getSerial());
		if(!mysql_query($query, $this->dbcon))
			throw new musicException("That instrument could not be deleted as it was not found.");
		$inst = null;
	}
//////END INSTRUMENTS///#//////////////////////////////////////////
//////TYPES//////////////#////////////////////////////////////////
	/*
 	 * This function returns an array of all instument types (trumpet, flute, ...)
	 * in the database, right now it is only used by getTypeMenu()
	 */
	public function getAllTypes(){
		$query = "select * from types order by inst_name";
		$types = array();
		$result = mysql_query($query, $this->dbcon);
		while($row = mysql_fetch_array($result)){
			array_push($types, $row);
		}
		return $types;
	}
	/*
	 * This function returns a string containing the correct formatting for a html
	 * drop down menu with all of the instrument types supported by the database 	
	 * the Menu name is inst
	 */
	public function getTypeMenu(){
		$st = '<select name="inst">'."\r\n\t".'<option value="">Please Select an Instrument Type</option>'."\r\n\t";
		$result = $this->getAllTypes();
		foreach($result as $type){
			$st .= '<option value="'.$type['inst_id'].'">'.$type['inst_name'].'</option>'."\r\n\t";
		}
		$st .= '</select>'."\r\n";
		echo $st;
	}
/////END TYPES/////////#///////////////////////////////////////////
/////FAMILIES//////////#///////////////////////////////////////////
	/*
 	 * This function returns an array of all instument families (brass, percussion, ...)
	 * in the database, right now it is only used by getFamilyMenu()
	 */
	public function getAllFamilies(){
		$query = "select * from family order by family_name";
		$families = array();
		$result = mysql_query($query, $this->dbcon);
		while($row = mysql_fetch_array($result)){
			array_push($families, $row);
		}
		return $families;
	}
	/*
	 * This function returns a string containing the correct formatting for a html
	 * drop down menu with all of the instrument families supported by the database 	
	 * the Menu name is fam
	 */
	public function getFamilyMenu(){
		$st = '<select name="fam">'."\r\n\t".'<option value="">Please Select an Instrument Family</option>'."\r\n\t";
		$result = $this->getAllFamilies();
		foreach($result as $fam){
			$st .= '<option value="'.$fam['family_id'].'">'.$fam['family_name'].'</option>'."\r\n\t";
		}
		$st .= '</select>'."\r\n";
		echo $st;
	}
//////END FAMILIES/////#///////////////////////////////////////////
/////ROLES/////////////#///////////////////////////////////////////
	/*
 	 * This function returns an array of all system roles (system administrator, borrower, ...)
	 * in the database, right now it is only used by getRolesMenu()
	 */
	public function getAllRoles(){
		$query = "select * from roles order by role_id";
		$roles = array();
		$result = mysql_query($query, $this->dbcon);
		while($row = mysql_fetch_array($result)){
			array_push($roles, $row);
		}
		return $roles;
	}
	/*
	 * This function returns a string containing the correct formatting for a html
	 * drop down menu with all of the system roles supported by the database 	
	 * the Menu name is role
	 */
	public function getRolesMenu(){
		$st = '<select name="role">'."\r\n\t".'<option value="5">Please Select a Role</option>'."\r\n\t";
		$result = $this->getAllRoles();
		foreach($result as $role){
			$st .= '<option value="'.$role['role_id'].'">'.$role['role_name'].'</option>'."\r\n\t";
		}
		$st .= '</select>'."\r\n";
		echo $st;
	}
//////END ROLES////////#///////////////////////////////////////////
//////USERS////////////#//////////////////////////////////////////
	/*
	 * This function validates that the username, and password given match one in the system
	 */
	public function validateUser($Username, $Password){
		$query = "select * from users where Username = '".mysql_real_escape_string($Username)."'";
		if(!($result = mysql_query($query, $this->dbcon))){
			echo "Username password combination was not found in the system.\r\n";
			return false;
		}
		//we get the salt and hash it because the hash is what is stored in the database
		$user = mysql_fetch_array($result);
		$Password = $Username.$Password.$user['salt'];
		$Password = hash("sha512",hash("md5",$Password));
		if(strcmp($user['password'], $Password) == 0)
			return true;
		else{
			echo "Username password combination was not found in the system.\r\n";
			return false;
		}
	}

	/*
	 * This function adds a user to the database, it fails if there is another user with the same username
	 */
	public function addUser($Username, $Password, $RoleID){
		$query = "select * from users where username = '".mysql_real_escape_string($Username)."'";
		if($result = mysql_query($query, $this->dbcon)){
			if($array = mysql_fetch_array($result))
				throw new MusicException("That username is already in the system, please choose another.");
		}
		//Setting up salt, it is a random number up to 5 digits long stored as a string
		$salt = rand(-9999,99999);
		$Password = $Username.$Password.$salt;
		$Password = hash("sha512",hash("md5",$Password));
		$query = "insert into users (Username, Password, Salt, Role_ID) values ('".mysql_real_escape_string($Username).
			"','".mysql_real_escape_string($Password)."','".mysql_real_escape_string($salt).
			"',".$RoleID.")";
		if(!mysql_query($query, $this->dbcon)){
			throw new MusicException("That user could not be added.");
		}
	}

	/*
	 * This function returns a user object representing the user with the given username, but only
	 * if that user exists in the system
	 */
	public function getUser($Username){
		$query = "select * from users natural join roles where Username = '".mysql_real_escape_string($Username)."'";
		$result = mysql_query($query, $this->dbcon);
		$user = mysql_fetch_array($result);
		if(!$user){
			throw new musicException("There is no user in the system with that user name.");
		}
		$user = new User($user['username'],$user['role_name'],$user['role_id']);
		return $user;
	}

	/*
	 * This function returns an array with the user object for all users whose role matches what is
	 * passed in, a role of 5 means to get every user
	 */
	public function getUsers($RoleID = 5){
		$query = "select * from users natural join roles where role_id = ".mysql_real_escape_string($RoleID);
		if($RoleID == 5)
			$query = "select * from users natural join roles";
		if(!($result = mysql_query($query, $this->dbcon)))
			throw new musicException("There was an error while attempting to retrieve the users.");
		$ret = array();
		$ct = 0;
		while($row = mysql_fetch_array($result)){
			$ct++;
			$user = new User($row['username'],$row['role_name'],$row['role_id']);
			array_push($ret, $user);
		}
		if($ct == 0)
			throw new musicException("There are no users in the system with that role.");
		return $ret;
	}

	/*
	 * This function deletes to user given if that user existed in the system
	 */
	public function removeUser(User $user){
		$query = sprintf("delete from users where username = '%s'", $user->getUsername());
		if(!mysql_query($query, $this->dbcon))
			throw new musicException("That User could not be deleted as it was not found.");
		$user = null;
	}
//////END USERS//#//////////////////////////////////////////////////////////////	
//////BORROWERS//////#/////////////////////////////////////////////////////////
	/*
	 * This function calls a stored procedure to add the borrower as both a system borrower, and
	 * a system user. The username is the student ID, and the password is FirstName_LastName
	 */
	public function addBorrower($studentID, $fname, $lname, $email){
		//Setting up salt, same as in add user
		$salt = rand(-9999,99999);
		$Password = $studentID.$fname."_".$lname.$salt;
		$Password = hash("sha512",hash("md5",$Password));
		//transaction needed becasue we dont want it to only go into
		//the borrower or the user table, but both or neither
		mysql_query("BEGIN");
		$query = sprintf("call add_borrower_and_user('$studentID', '$lname', '$fname', '$email', '$Password', '$salt')");
		if(!mysql_query($query, $this->dbcon)){
			mysql_query("ROLLBACK");
			throw new musicException("That borrower could not be added.");
		}
		else{
			mysql_query("COMMIT");
		}
	}

	/*
	 * This function returns an object with all of the stored information on a borrower-user if
	 * that borrower exists in the database
	 */
	public function getBorrower($studentID){
		$query = "select * from borrower_user where student_id = '".mysql_real_escape_string($studentID)."'";
		if(!($result = mysql_query($query, $this->dbcon)))
			throw new musicException("There is no borrower in the system with that student ID number.");
		$borrower = mysql_fetch_array($result);
		$borrower = new Borrower($borrower['student_id'],$borrower['lname'],$borrower['fname'],$borrower['email']);
		return $borrower;
	}

	/*
	 * This function returns an array containing all of the borrowers in the system
	 * that match the non-null paramaters given.
	 * Ex. calling this function with only a $fname of "Sam" will get only borrowers whose
	 *	first name is Sam.
	 * Caveat: making all paramaters null will get all borrowers in the system
	 */
	public function getBorrowers($fname = null, $lname = null, $email = null){
		
		$query = "select * from borrower_user where";
		$ct = 0;
		if($fname != null){
			$ct++;
			$query .= " fname = '".$fname."'";
		}
		if($lname != null){
			if($ct++)
				$query .= " and";
			$query .= " lname = '".$lname."'";
		}
		if($email != null){
			if($ct++)
				$query .= " and";
			$query .= " email = '".$email."'";
		}
		if(!$ct)
			$query = "select * from borrower_user";

		$ct = 0;
		$bws = array();
		if(!$result = mysql_query($query, $this->dbcon))
			throw new MusicException("An error occured while searching, please re-enter the search paramaters.");
		while($row = mysql_fetch_array($result)){
			$bwr = new Borrower($row['student_id'],$row['lname'],$row['fname'],$row['email']);
			$ct++;
			array_push($bws, $bwr);
		}
		if(!$ct)
			throw new MusicException("No records were found, please change your search paramaters and try again.");
		return $bws;

	}

	/*
 	 * Deletes a borrower-user from the system, uses transactions to insure completness
	 * calls a stored procedure to do most of the work
	 */
	public function removeBorrower(Borrower $borrow){
		mysql_query("BEGIN");
		$query = sprintf("call delete_borrower_and_user('%s')",$borrow->getStudentID());
		if(!mysql_query($query, $this->dbcon)){
			echo mysql_error();
			mysql_query("ROLLBACK");
			throw new musicException("That borrower could not be deleted.");
		}
		else{
			mysql_query("COMMIT");
			$borrow = null;
		}
	}
		
	
//////END BORROWERS//#//////////////////////////////////////////////////////////
//////CHECKOUT///////#//////////////////////////////////////////////////////////
	/*
	 * This function attempts to check the instrument with $serial number out to the borrower with
	 * $studentID
	 */
	public function checkout($studentID, $serial){
		$query = sprintf("insert into checkout (student_id, serial_number) values ('%s', '%s')", mysql_real_escape_string($studentID), 
				mysql_real_escape_string($serial));
		if(!mysql_query($query, $this->dbcon))
			throw new musicException("That checkout can not take place.");
	}

	/*
	 * This function attempts to check the instrument with $serial number back into the inventory
	 */
	public function checkin($serial){
		$query = sprintf("select check_id from checkedout where serial_number = '%s'", mysql_real_escape_string($serial));
		$result = mysql_query($query, $this->dbcon);
		if(!($check = mysql_fetch_array($result)))
			throw new musicException("That instrument has not been checked out yet.");
		$query = sprintf("insert into checkin (check_id) values ('%s')", $check['check_id']);
		if(!mysql_query($query, $this->dbcon))
			throw new musicException("That instrument could not be returned.");
	}

	/*
	 * This function returns all instruments that are checked out, and the person borrowing them as an array of transaction objects
	 */
	public function getCheckedout(){
		$query = "select * from checkedout";
		$result = mysql_query($query, $this->dbcon);
		$ct = 0;
		$trans = array();
		while($row = mysql_fetch_array($result)){
			$ct++;
			$tran = new Transaction($row['student_id'], $row['serial_number'], $row['out_date']);
			array_push($trans, $tran);
		}
		if($ct == 0){
			throw new musicExcecption("There are no instruments currently checked out.");
		}
		return $trans;
	}

	/*
	 * Returns a true or a false indicating whether or not the instrument with $serial number is 
	 * currently checked out
	 */
	public function isCheckedout($serial){
		$query = sprintf("select * from checkedout where serial_number ='%s'", mysql_real_escape_string($serial));
		$result = mysql_query($query, $this->dbcon);
		if($trans = mysql_fetch_array($result)){
			return TRUE;
		}
		else{
			return FALSE;
		}
	}

	/*
	 * This function returns an array of transaction indicating the instrument that were checked out 
	 * between $y1-$m1-$d1 and $y2-m2-d2
	 * Not curently used 
	 */
	public function getCheckedout_byDate($y1, $m1, $d1, $y2, $m2, $d2){
		$date1 = "$y1-$m1-$d1";
		$date2 = "$y2-$m2-$d2";
		$query = sprintf("select * from transactions where in_date < '%s' AND out_date > '%s'", mysql_real_escape_string($date1),
					mysql_real_escape_string($date2));
		$result = mysql_query($query, $this->dbcon);
		$ct = 0;
		$trans = array();
		while($row = mysql_fetch_array($result)){
			$ct++;
			$tran = new Transaction($row['student_id'], $row['serial'], $row['out_date'], $row['in_date']);
			array_push($trans, $tran);
		}
		if($ct == 0)
			throw new musicException("There are no transactions in the system for that interval.");
		return $trans;
	}
//////END CHECKOUT///#//////////////////////////////////////////////////////////
}
