<?php session_start();
		require_once "music_db.php";
		require_once "generator.php";
		if($_SESSION['role'] > 2 && !isset($_POST['username'])){
			displayUser($_SESSION['username']);
			die;
		}
		if(isset($_POST['username'])){
			displayUser($_POST['username']);
			die;
		}
		$db = new Music_DB();?>
	<!-- This page does some intresting things, if the user is a student worker or borrower,
			role id 3 and 4 respectively, this displays their user screen and quits,
		Also, if a username is sent through post, that user's page is displayed and it quits.
		Finally, if none of those are true, it shows a user selection screen very similar to
			the instrument or borrower selection screen-->

<!-- Only Sys Admins and the manger see the selection screen below -->
<HTML>
<HEAD>
<TITLE>Lookup a User</TITLE>
</HEAD>

<BODY>

<H1>Please select a User to View</H1>
<br />
<!-- If you can't find the user you need, add him/her!-->
<a href="addUser.php">Click here to add a User</a>
<br />
<p>Search with a username</p>
<form action="users.php" method="post">
<table>
	<tr>
		<td>Username:</td>
		<td><input type="text" name="username" /></td>
	</tr>
	<tr>
		<td><input type="submit" value="View User" /></td>
	</tr>
</table>
</form>

<br /><br />
<p>Search for a User using the system role.<br />NOTE: Leaving this blank will get all users.</p>
<br />
<form action="users.php" method="post">
<table>
	<tr>
		<td>Role Name:</td>
		<td><? echo $db->getRolesMenu();?> </td>
	</tr>
	<input type="hidden" name="search" value="yes" />
</table>
<input type="submit" value="Find Users" />
</form>
<!-- This next bit handles searches, it displays the list of users within the page-->
<?php if(isset($_POST['search'])):
	try{
		$users = $db->getUsers($_POST['role']);
	}
	catch (musicException $e){
		echo $e->getMessage()."<br />";
		echo '<a href="index.php">Index Page</a>';
		break;
	} ?>
<form action="users.php" method="post">
<input type="submit" value="View User" />
<table border="1">
<th>Choose One</th><th>Username</th><th>Role</th>
<?php foreach($users as $row):?>
<tr>
	<td><input type="radio" name="username" value="<? echo $row->getUsername(); ?>" /></td>
	<td><? echo $row->getUsername(); ?></td>
	<td><? echo $row->getRole(); ?></td>
</tr>
<?php endforeach; ?><!-- end foreach on line 72-->
</table>
<input type="submit" value="View User" />
</form>
<?php endif;?><!-- end if on line 58-->

<a href="index.php">Index Page</a>

</BODY>
</HTML>
